package no.valg.valgnatt.database.forberedvalg.util;

import static org.junit.Assert.assertEquals;

import java.io.File;

import no.valg.valgnatt.database.EvaAdminSkjema;

import org.junit.Test;

public class SkjemaFunksjonerTest {

    @Test
    public void korrigerValgdistriktnrForOsloGsk() throws Exception {
        File original = new File(this.getClass().getResource("/GSK-ST.json").getFile());
        File endret = new File(this.getClass().getResource("/GSK-ST-endret.json").getFile());
        EvaAdminSkjema gsk = new EvaAdminSkjema(original);
        EvaAdminSkjema gskEndret = new EvaAdminSkjema(endret);
        EvaAdminSkjema korrigertGsk = SkjemaFunksjoner.korrigerValgdistriktnrForOsloGsk(gsk);
        assertEquals(gskEndret.getJsonObject(), korrigertGsk.getJsonObject());
    }

    @Test
    public void korrigerValgdistriktnrForOsloGvpk() throws Exception {
        File original = new File(this.getClass().getResource("/GVPK-ST.json").getFile());
        File endret = new File(this.getClass().getResource("/GVPK-ST-endret.json").getFile());
        EvaAdminSkjema gvpk = new EvaAdminSkjema(original);
        EvaAdminSkjema gvpkEndret = new EvaAdminSkjema(endret);
        EvaAdminSkjema korrigertGvpk = SkjemaFunksjoner.korrigerValgdistriktnrForOsloGvpk(gvpk);
        assertEquals(gvpkEndret.getJsonObject(), korrigertGvpk.getJsonObject());
    }
}
